Bug 149711 - five buglets
Summary: five buglets
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: glunarclock (Show other bugs)
(Show other bugs)
Version: 3
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Orphan Owner
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-02-25 17:56 UTC by David Binderman
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-07-24 23:16:43 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description David Binderman 2005-02-25 17:56:46 UTC
Description of problem:

I just tried to compile package glunarclock-0.32.2-2 from 
Redhat Fedora Extras development tree.

The compiler said

1.

glunarclock.c(162): warning #1011: missing return statement at end of
non-void function "delete_event"
glunarclock.c(169): warning #1011: missing return statement at end of
non-void function "close_dialog"

THe source code is

static gboolean
delete_event (GtkWidget  *widget,
              MoonApplet *moon)
{
        gtk_widget_hide (widget);
}

static gboolean
close_dialog (GtkWidget  *widget,
              MoonApplet *moon)
{
        gtk_widget_hide (moon->preferences_dialog);
}

There might be some value in adding a couple of return statements
to these functions.

2.

moondata.c(227): warning #1011: missing return statement at end of
non-void function "delete_event"
moondata.c(234): warning #1011: missing return statement at end of
non-void function "close_data_dialog"

Duplicates.

3.

moondata.c(286): warning #269: invalid format string conversion

The source code is

        g_snprintf(buf, size, "%2d%",(gint)(moondata.NewMoon));

Suggest use %% for % in printf strings.


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

Comment 1 Michael Schwendt 2005-07-24 23:16:43 UTC
Fixed in CVS.
Forwarded upstream.



Note You need to log in before you can comment on or make changes to this bug.